<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white">

    <RelativeLayout
        android:id="@+id/connect_view"
        android:visibility="visible"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        >

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_above="@id/ll">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <ImageView
                    android:id="@+id/image"
                    android:layout_width="@dimen/_130sdp"
                    android:layout_height="@dimen/_130sdp"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="@dimen/_50sdp"
                    android:layout_marginBottom="15dp"
                    android:contentDescription="@string/forget_pin" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:layout_gravity="center_horizontal"
                    android:layout_marginHorizontal="25dp"
                    android:layout_marginBottom="35dp"
                    android:fontFamily="@font/nunito_semibold"

                    android:text="@string/accept_your_loved_one_s_invitation_to_connect"

                    android:textAlignment="center"

                    android:textColor="@color/black"
                    android:textSize="@dimen/_22ssp"

                    />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="15dp"
                    android:layout_marginVertical="15dp"
                    android:fontFamily="@font/nunito_medium"
                    android:text="@string/enter_your_email_or_phone_number"
                    android:textColor="@color/black"
                    android:textSize="@dimen/_16ssp" />

                <EditText
                    android:id="@+id/email_address"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="15sp"
                    android:autofillHints="emailAddress"
                    android:background="@drawable/edit_text_bg_3"

                    android:drawableStart="@drawable/ic_email_outline"
                    android:drawablePadding="20dp"

                    android:enabled="false"
                    android:fontFamily="@font/nunito_regular"
                    android:hint="@string/enter_your_email"
                    android:inputType="textEmailAddress"

                    android:maxLines="1"
                    android:paddingHorizontal="15dp"

                    android:paddingVertical="15sp"
                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
                    android:textColor="@color/black"

                    android:textColorHint="#5B5B5B" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="15dp"
                    android:layout_marginTop="20dp"
                    android:layout_marginBottom="15dp"
                    android:fontFamily="@font/nunito_medium"
                    android:text="@string/enter_code_sent_on_your_email"
                    android:textColor="@color/black"
                    android:textSize="@dimen/_16ssp" />

                <EditText
                    android:id="@+id/code"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:autofillHints="password"

                    android:background="@drawable/edit_text_bg_3"
                    android:drawableStart="@drawable/ic_lock_outline"
                    android:drawablePadding="20dp"
                    android:fontFamily="@font/nunito_regular"
                    android:hint="@string/enter_your_code"
                    android:inputType="number"

                    android:layout_marginHorizontal="15dp"
                    android:layout_marginBottom="5dp"

                    android:maxLength="4"

                    android:maxLines="1"
                    android:paddingHorizontal="15dp"
                    android:paddingVertical="15sp"

                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
                    android:textColor="@color/black"
                    android:textColorHint="#5B5B5B" />


            </LinearLayout>

        </ScrollView>

        <LinearLayout
            android:id="@+id/ll"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:gravity="center"
            android:orientation="vertical">

            <com.google.android.material.button.MaterialButton
                android:id="@+id/connect_btn"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="15dp"
                android:layout_marginTop="5dp"
                android:layout_marginBottom="5dp"
                android:fontFamily="@font/nunito_regular"
                android:paddingVertical="15dp"
                android:text="@string/connect"
                android:textAllCaps="false"
                android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
                android:textColor="@color/white_bg"
                app:backgroundTint="@color/color_primary"
                app:cornerRadius="25dp" />

            <TextView
                android:id="@+id/resend_code"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginBottom="20dp"
                android:fontFamily="@font/nunito_medium"
                android:padding="5dp"

                android:text="@string/didn_t_receive_code_resend"
                android:textColor="@color/black"
                android:textSize="@dimen/_14ssp"

                />

        </LinearLayout>

    </RelativeLayout>

</RelativeLayout>